﻿using System;
using BNFUP.Properties;

namespace BNFUP.Exceptions
{
    public class RejectedObjectException : Exception
    {
        public RejectedObjectException(string parent, string child) : base(Resources.ERR_REJECTEDOBJECT)
        {
            Parent = parent;
            Child = child;
        }
        public string Parent { get; private set; }
        public string Child { get; private set; }
    }
}
