﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CommonObjects.Interfaces;

namespace CommonObjects.Utils
{
    public static class TypedefText
    {
        public static string AsText(ExprType type)
        {
            switch (type)
            {
                case ExprType.Int:
                    return "Int";
                case ExprType.Bool:
                    return "Bool";
                case ExprType.Double:
                    return "Double";
                case ExprType.String:
                    return "String";
                case ExprType.Color:
                    return "Color";
                default:
                    return "Default";
            }
        }
    }
}
