﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CommonObjects.Interfaces;
using CellularAutomata.Interfaces;

namespace WinCA.Utils
{
    [Serializable]
    public class PropertySerializationContainer
    {
        public PropertySerializationContainer()
        {
        }
        public IPropertyProvider ConstantProvider { get; set; }
        public IPropertyProvider VariableProvider { get; set; }
    }
    [Serializable]
    public class StateSerializationContainer
    {
        public StateSerializationContainer()
        {
        }
        public ICAStateProvider StateProvider { get; set; }
        public PropertySerializationContainer Properties { get; set; }
    }
}
