﻿using System;
using BNFUP.Properties;

namespace BNFUP.Exceptions
{
    public class CodeSyntaxErrorException : Exception
    {
        public CodeSyntaxErrorException(int line, int pos) : base(Resources.ERR_SYNTAX)
        {
            Line = line;
            Position = pos;
        }
        public int Line { get; private set; }
        public int Position { get; private set; }
    }
}
