﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using CommonObjects.Interfaces;

namespace CommonObjects.Expressions
{
    [Serializable]
    public abstract class UniversalArgument : ExprBase
    {
        public UniversalArgument() : base()
        {
        }
    }
    [Serializable]
    public abstract class ArithmeticArgument : ExprBase
    {
        public ArithmeticArgument() : base()
        {
        }
        public override string AsString
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override bool AsBool
        {
            get
            {
                throw new NotImplementedException();
            }
        }
    }
    [Serializable]
    public abstract class BoolArgument : ExprBase
    {
        public BoolArgument() : base()
        {
        }
        public override int AsInt
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override double AsDouble
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override string AsString
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override Color AsColor
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override ExprType PreferredType
        {
            get
            {
                return ExprType.Bool;
            }
        }
    }
    [Serializable]
    public abstract class StringArgument : ExprBase
    {
        public StringArgument() : base()
        {
        }
        public override int AsInt
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override double AsDouble
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override bool AsBool
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override Color AsColor
        {
            get
            {
                throw new NotImplementedException();
            }
        }
        public override ExprType PreferredType
        {
            get
            {
                return ExprType.String;
            }
        }
    }
}
