﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CommonObjects.Expressions
{
    [Serializable]
    public class BoolValue : BoolArgument
    {
        public BoolValue() : base()
        {
        }
        public override bool AsBool
        {
            get
            {
                switch (_text.ToLower())
                {
                    case "$t":
                        return true;
                    case "$f":
                        return false;
                    default:
                        throw new NotImplementedException();
                }
            }
        }
    }
}
